global:
  scrape_interval: 15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
alerting:
  alertmanagers:
    - static_configs:
        - targets:
           - alertmanager:{{ alertmanager_port  }}

rule_files:
  - "rules.d/rules.yml"



scrape_configs:
  - job_name: "prometheus"
    static_configs:
      - targets: ["localhost:{{ prometheus_port  }}"]


  - job_name: "node_exporter"  
    static_configs:
      - targets: 
{% for host in groups['nodes'] %}
  {% if host not in groups['managment'] %}
    - '{{ hostvars[host].ansible_host }}:{{ node_exporter_port  }}'
  {% endif %}
{% endfor %}







